﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/Shared/MasterPageLayout.Master" CodeBehind="disclaimereditor.aspx.vb" Inherits="ci_oof_web.DisclaimerEditor" ValidateRequest="false" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Head" runat="server">
    <%If SourceButton.Checked Then %>
    <link href="/css/codemirror.css" rel="stylesheet" />
    <style type="text/css">
        .CodeMirror {
            height: 400px;
            border: solid 1px #ccc;
        }
    </style>
    <% End If %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" runat="server">
    <div class="container-fluid">

        <div class="row" style="padding: 15px;">
            <div class="col-sm-12 col-lg-9">

                <h3>
                    <asp:Literal runat="server" ID="PageHeaderLiteral" Text="New disclaimer"></asp:Literal>
                </h3>

                <div class="form-group">
                    <asp:TextBox ID="NameTextBox" runat="server" TextMode="SingleLine" CssClass="form-control input-lg" PlaceHolder="Disclaimer name"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="NameRequiredFieldValidator" runat="server" Display="Dynamic" ControlToValidate="NameTextBox" Text="Disclaimer name is required" CssClass="input-validation" Style="position: static; margin: 0;"></asp:RequiredFieldValidator>
                </div>

                <div class="form-group">
                    <asp:Literal ID="LiteralInsertuserdata" Text="Insert user data:" runat="server"></asp:Literal>
                    <telerik:RadComboBox ID="RadComboBox1" Width="360" runat="server" OnClientSelectedIndexChanged="OnClientSelectedIndexChanged"></telerik:RadComboBox>
                    <telerik:RadComboBox ID="RadComboBox2" Width="350" runat="server" OnClientSelectedIndexChanged="OnClientSelectedIndexChanged"></telerik:RadComboBox>
                </div>

                <asp:Panel ID="pnlInfoOnNewDisclaimer" runat="server" Visible="false">
                    <div class="alert alert-warning alert-dismissible fade in" role="alert" id="editorInfo">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
                        <asp:Literal runat="server" ID="LiteralInfoOnNewDisclaimer" Text="Create your own disclaimer or use one of our templates to begin with." />
                    </div>
                </asp:Panel>
                <div class="form-group">
                    <asp:Panel ID="BodyWarningPanel" runat="server" CssClass="alert alert-warning alert-dismissible alert-flash" Visible="false">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <asp:Literal ID="BodyWarningLiteral" runat="server"></asp:Literal>
                    </asp:Panel>
                    <asp:TextBox ID="BodyTextBox" Text="" runat="server" TextMode="MultiLine" CssClass="bodyEditor" Resize="none" Width="100%" Height="400px" Style="visibility: hidden;"></asp:TextBox>
                </div>
                <div class="form-group">
                    
                    <telerik:RadButton ID="SaveButton" runat="server" Primary="true" Text="Save"></telerik:RadButton>
                    <telerik:RadButton ID="CancelButton" runat="server" AutoPostBack="true" CausesValidation="false" Text="Cancel"></telerik:RadButton>
                    &nbsp;&nbsp;
                    <telerik:RadButton ID="SourceButton" ToggleType="CheckBox" ButtonType="StandardButton" runat="server" Primary="true" Text="Edit HTM Source" CausesValidation="false" AutoPostBack="true"></telerik:RadButton>
                    <telerik:RadButton ID="bnConvert" runat="server" Primary="true" Text="Convert HTM - TXT" CausesValidation="false"></telerik:RadButton>

                    <telerik:RadButton ID="StandardTextButton" runat="server" Primary="false" Text="Standard Text" CausesValidation="false"></telerik:RadButton>
                </div>

                <asp:TextBox ID="tbText" Text="" runat="server" TextMode="MultiLine" Resize="none" Width="100%" Height="400px"></asp:TextBox>

                <br />
                <br />
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ContentPlaceHolderID="Script" runat="server">
    <%If SourceButton.Checked Then %>
    <script type="text/javascript" src="/js/codemirror/codemirror.js"></script>
    <script type="text/javascript" src="/js/codemirror/addon/formatting.js"></script>
    <script type="text/javascript" src="/js/codemirror/addon/selection-pointer.js"></script>
    <script type="text/javascript" src="/js/codemirror/mode/xml.js"></script>
    <script type="text/javascript" src="/js/codemirror/mode/css.js"></script>
    <script type="text/javascript" src="/js/codemirror/mode/javascript.js"></script>
    <script type="text/javascript" src="/js/codemirror/mode/htmlmixed.js"></script>
    <% else %>
    <script type="text/javascript" src="/js/tinymce/tinymce.min.js"></script>
    <% End If %>

    <script type="text/javascript">
    <%If SourceButton.Checked Then %>
        var editor = CodeMirror.fromTextArea($('.bodyEditor')[0], {
            mode: {
                name: "htmlmixed",
                scriptTypes: []
            },
            selectionPointer: true,
            lineNumbers: true,
            indentUnit: 4,
            indentWithTabs: true,
        });
        <% If HtmlAutoFormat Then %>
        CodeMirror.commands["selectAll"](editor);
        editor.autoFormatRange(editor.getCursor(true), editor.getCursor(false));
        <% End if %>
        editor.setCursor(0);

        <% else %>

        tinymce.init({
            selector: '.bodyEditor',
            height: '450',
            theme: 'modern',
            menubar: true,
            language: '<%= GetTinyMceLang() %>',
            plugins: [
                "advlist lists link image charmap searchreplace code fullscreen media table",
                "contextmenu paste preview hr textcolor directionality nonbreaking autosave textcolor autoresize colorpicker"
            ],

            toolbar: [
                "insertfile undo redo | fontselect fontsizeselect | bold italic underline | forecolor backcolor | alignleft aligncenter alignright alignjustify | indent outdent | table | link unlink image"
            ],

            document_base_url: '/',
            relative_urls: false,

            paste_as_text: true,
            menu: {
                edit: { title: 'Edit', items: 'undo redo | cut copy paste | selectall' },
                insert: { title: 'Insert', items: 'link image | hr | nonbreaking' },
                format: { title: 'Format', items: 'bold italic underline strikethrough superscript subscript | removeformat' },
                table: { title: 'Table', items: 'inserttable tableprops deletetable | cell row column' },
                view: { title: 'View', items: 'code | preview | visualaid | fullscreen' }
            },
            font_formats: 'Andale Mono=andale mono,times;Arial=arial,helvetica,sans-serif;Arial Black=arial black,avant garde;Book Antiqua=book antiqua,palatino;Calibri=calibri,arial,sans-serif;Comic Sans MS=comic sans ms,sans-serif;Courier New=courier new,courier;Georgia=georgia,palatino;Helvetica=helvetica;Impact=impact,chicago;Symbol=symbol;Tahoma=tahoma,arial,helvetica,sans-serif;Terminal=terminal,monaco;Times New Roman=times new roman,times;Trebuchet MS=trebuchet ms,geneva;Verdana=verdana,geneva;Webdings=webdings;Wingdings=wingdings,zapf dingbats',
            fontsize_formats: "7pt 8pt 9pt 10pt 11pt 12pt 14pt 18pt 24pt 36pt",

            forced_root_block: false, //entfernt <p> Tags
            forced_root_block_attrs: {
                "style": "margin:0;",
            },

            init_instance_callback: function (editor) {
                editor.on('KeyPress', function (e) {
                    if ($('#editorInfo').is(":visible")) {
                        $('#editorInfo').alert('close');
                    }
                });
            },
            <% If Not CType(Page, ci_oof_web.DisclaimerEditor).IsOofEdit Then %>
            image_list: '/disclaimerimagelist.aspx',
            file_browser_callback_types: 'image',
            file_browser_callback: function (field_name, url, type, win) {
                var input = document.createElement('input');
                input.setAttribute('type', 'file');
                input.setAttribute('accept', 'image/jpg');
                input.setAttribute('style', 'display: none;');
                input.onchange = function () {
                    var file = this.files[0];
                    var uploadErrors = [];
                    var acceptFileTypes = /^image\/(gif|jpe?g|png)$/i;
                    if (file.type.length && !acceptFileTypes.test(file.type)) {
                        uploadErrors.push(lng.uploadFileTypeError);
                    }
                    if (file.size.length && file.size > 5000000) {
                        uploadErrors.push(lng.uploadFileSizeError);
                    }
                    else if (file.size == 0) {
                        uploadErrors.push(lng.uploadFileEmptyError);
                    }
                    if (uploadErrors.length > 0) {
                        alert("File: " + file.name + "\n" + uploadErrors.join("\n"));
                    } else {
                        var fd = new FormData;
                        fd.append('img', file);
                        $.ajax({
                            url: '/disclaimeruploadimage.aspx',
                            data: fd,
                            dataType: 'json',
                            processData: false,
                            contentType: false,
                            type: 'POST',
                            success: function (data) {
                                win.document.getElementById(field_name).value = data.url;
                            }
                        });
                    }
                };
                //input.click();
                $(input).appendTo("body").trigger('click');
            }
            <% End If %>
        });
        <% End If %>

        function OnClientSelectedIndexChanged(sender, eventArgs) {
            var text = eventArgs.get_item().get_text();
            if (text.startsWith("---") || text.startsWith("@@-") || text.startsWith("##-")) {
                return;
            }
            else {
                if (text.indexOf(" ") > 0) {
                    text = text.substring(0, text.indexOf(" "));
                }
                <%If SourceButton.Checked Then %>
                editor.replaceSelection(text);
                <% Else %>
                tinymce.activeEditor.execCommand('mceInsertContent', false, text);
                <% End if %>
            }
        }
    </script>
</asp:Content>
